Notes
Edit a note
Replaces a note’s text. The original author and any attachments are preserved.
PATCH
/
leads
/
{id}
/
notes
/
{noteId}
Edit a note
curl --request PATCH \
--url https://backend.leadey.ai/v1/leads/{id}/notes/{noteId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Pricing sheet sent. Following up Monday."
}
'import requests
url = "https://backend.leadey.ai/v1/leads/{id}/notes/{noteId}"
payload = { "text": "Pricing sheet sent. Following up Monday." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: 'Pricing sheet sent. Following up Monday.'})
};
fetch('https://backend.leadey.ai/v1/leads/{id}/notes/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "event_6Tk9wRmB",
"meta": {
"text": "Pricing sheet sent. Following up Monday.",
"userId": "user_2pXn4Rk"
}
}
}{
"error": {
"message": "One of email, phone or linkedinUrl is required",
"details": null
}
}{
"error": {
"message": "Invalid or revoked API key.",
"details": null
}
}{
"error": {
"message": "This API key is read-only. Create a key with write access in Settings → API Keys.",
"details": null
}
}{
"error": {
"message": "Lead not found",
"details": null
}
}{
"error": {
"message": "Rate limit exceeded. Retry in 42s.",
"details": null
}
}Authorizations
Your API key, created in the Leadey dashboard under Settings → API Keys. Send it as Authorization: Bearer leadey_sk_live_….
Body
application/json
The replacement body.
Response
The updated note.
Show child attributes
Show child attributes
⌘I
Edit a note
curl --request PATCH \
--url https://backend.leadey.ai/v1/leads/{id}/notes/{noteId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Pricing sheet sent. Following up Monday."
}
'import requests
url = "https://backend.leadey.ai/v1/leads/{id}/notes/{noteId}"
payload = { "text": "Pricing sheet sent. Following up Monday." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: 'Pricing sheet sent. Following up Monday.'})
};
fetch('https://backend.leadey.ai/v1/leads/{id}/notes/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "event_6Tk9wRmB",
"meta": {
"text": "Pricing sheet sent. Following up Monday.",
"userId": "user_2pXn4Rk"
}
}
}{
"error": {
"message": "One of email, phone or linkedinUrl is required",
"details": null
}
}{
"error": {
"message": "Invalid or revoked API key.",
"details": null
}
}{
"error": {
"message": "This API key is read-only. Create a key with write access in Settings → API Keys.",
"details": null
}
}{
"error": {
"message": "Lead not found",
"details": null
}
}{
"error": {
"message": "Rate limit exceeded. Retry in 42s.",
"details": null
}
}